services:
  ada-gallery-be:
    build:
      context: ./ada-gallery-be
      args:
        - SSH_KEY=c3NoLXJzYSBBQUFBQjNOemFDMXljMkVBQUFBREFRQUJBQUFDQVFEbGNRYWx5MFF4VU84SDF5MWZzaXVsTy9abTR2QlkxY1h4U3NOZHR4Q21oSlgyTGRZS3c4SUdHcDhYbTJKK1k2STVKK3NvVFhwNkN4Y0Y1aWYvQnN0NnBKbk1aelJKbktFdFM4RkhiYUU3NmZvT2NSeS9PUW1zWEpJbGVkYS9uYUFmUU5DMVdGdHN2YXRkZ0F4SVlrVW0wUFpudURSemZCRHRoMGI3Z1QxTitHY0kwN081M3Z6S0UwUVRRRkxtZVNCeWU3c0pDRjBua0dnWGRLaStRZzVtYWN3Y2JGeUJwSVlxcFVtQTRsNU81ckdQOVRsaC9BbHNaVzFrU2NvL093dEZ3QWV1T29rMi9YaEVwWk82UnpPUHdVMmVnUG9iNVN1OEt1alBRelNxVzkzcFNKN296bkZKdzVjUTdwU1UwdklRY3BVcjJVa29Qa0RvcE9pS3FPNEdhR3RuRi9vaWFUSHNCRW5uaWlFVFhDR0pBcXRBaitSU3REdkRJc2hvMFBhTGlZaG42VllRejhWNHRKNGo2V1BCYWVaVUt1czJUZi9vUEhyNkc0aEtCZWV4K1Bva1hyd1VCazJmQkpTRGdUQ2IwUUpZb2FVRnRJaUlvMHdVd25yclIzSkVvcnlaNFEyQ1Z4ZDcwSmZaaXp4b1NxSllrdGtoWFBQV1pXOFgxK05LR3F2eUtmTU5vUFNiUEU0V29IRmlnSFlXQi9GQTRJQmVRUENZOTVsd043dVJDY2FkM3F3R3c0ditHdndudFZFRGFkTDhkQ0R6M3dacnpVSGt4K1RDNjVQem9SelI3YncwcVlFcXJLSVRTYkxDYk4vZGl4RHNLQ3dQd29qMWR0MU5TNGg5Wm01RjBkSHhCZHdPRzhLbGsrVkJiVm16ZXVyR1U1NWdSRk9Lc3c9PSBtYW5vYWg4OEBnbWFpbC5jb20K
    ports:
      - "4300:4300"
    env_file:
      - .env
      - ./ada-gallery-be/.env.staging
    volumes:
      - media-files:/home/node/media
  ada-gallery-fe:
    build: 
      context: ./ada-gallery-fe
      dockerfile: ./DockerfileStaging
    env_file:
      - .env
      - ./ada-gallery-fe/.env.staging
    ports:
      - "4010:80"
  ada-media-files:
    image: nginx
    volumes:
      - media-files:/usr/share/nginx/html
    ports:
      - "4400:80"
networks:
  default:
    external: true
    name: my_shared_network
volumes:
  media-files: